Bug 1460320 - nodejs-iconv-lite no longer builds on F26
nodejs-iconv-lite no longer builds on F26
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nodejs-iconv-lite (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jamie Nguyen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 13:04 EDT by Troy Dawson
Modified: 2017-06-22 09:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: nodejs-iconv-lite-0.4.18-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-22 09:35:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch of spec to update to latest version (1.10 KB, patch)
2017-06-09 15:14 EDT, Troy Dawson
no flags Details | Diff

  None (edit)
Description Troy Dawson 2017-06-09 13:04:18 EDT
Description of problem:
nodejs-iconv-lite 0.4.15 does not build with nodejs-6.10.3

Version-Release number of selected component (if applicable):
nodejs-iconv-lite-0.4.15-1.fc26

How reproducible:
100%

Steps to Reproduce:
1. koji build --scratch f25 nodejs-iconv-lite-0.4.15-1.fc26.src.rpm
2.
3.

Actual results:
...
  108 passing (568ms)
  1 failing
  1) Streaming mode Decoding of incomplete chars using internal modules: ucs2 / surrogates:
      AssertionError: [ '�', '�' ] deepEqual [ '😻' ]
      + expected - actual
       [
      +  "😻"
      -  "�"
      -  "�"
       ]
...
and normal failed rpm output after that.

Expected results:
rpm should build

Additional info:
This was not arch dependent.  The original f26 build was built on arm7hl.  Tried the scratch with both that and x86_64.
Comment 1 Troy Dawson 2017-06-09 13:05:56 EDT
Tried downgrading nodejs to nodejs-6.9.4 (What it was originally built on) and it builds properly.

Tried updating to the latest version 0.4.17, and that builds properly.
Recommending updating to version 0.4.17.
If you do that, you also have to add
BuildRequires:  npm(semver)

Note: npm(semver) is already in Fedora, no need for another package.
Comment 2 Troy Dawson 2017-06-09 15:14 EDT
Created attachment 1286512 [details]
Patch of spec to update to latest version

Patch to spec attached to update to latest version.
Doesn't include the updated tarball.
Comment 3 Troy Dawson 2017-06-16 11:42:25 EDT
This is a blocker for some projects.  We understand some people have limited time to fix packages.  If you do not have the time to fix this, or merge the patch, within two weeks, we will have a proven packager merge the suggested patch in and build it.
Comment 4 Tom Hughes 2017-06-16 11:50:50 EDT
Not quite sure how failing to build can be a blocker given there's a (more or less working) version already present, or do you actually need the newer version for some other reason?

If so, do you need it in F26 or is rawhide enough?
Comment 5 Fedora Update System 2017-06-16 12:10:56 EDT
nodejs-iconv-lite-0.4.18-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-59a8b09b7f
Comment 6 Troy Dawson 2017-06-16 12:13:53 EDT
It's affecting some offline (?? not koji or bodhi) test machines.  At least one of them is a pretty massive machine.

I know we need it in rawhide/f27, but I think they are also pulling in f26 sometimes.
Comment 7 Troy Dawson 2017-06-16 12:14:42 EDT
Thank You
Comment 8 Fedora Update System 2017-06-18 02:20:44 EDT
nodejs-iconv-lite-0.4.18-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-59a8b09b7f
Comment 9 Fedora Update System 2017-06-22 09:35:31 EDT
nodejs-iconv-lite-0.4.18-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.